Fedora 37/36/35 NVIDIA Drivers Install Guide [525.60.11 / 520.56.06 / 515.86.01 / 510.108.03 / 470.161.03 / 390.157 / 340.108] - Comment Page: 123

This is guide, howto install NVIDIA proprietary drivers (manually using .run installer) on Fedora 37/36/35/34/33/32 and disable Nouveau driver. This guide works with GeForce 8/9/200/300/400/500/600/700/800/900/10/20/30/40 series cards. GeForce RTX 40 series cards works with 525.xx, 520.xx NVIDIA drivers, (RTX 4090) GeForce RTX 30 series cards works with 525.xx, 520.xx, 515.xx, 510.xx and 470.xx NVIDIA drivers, (RTX 3090, RTX 3080 and RTX 3070, RTX 3060, RTX 3060 Ti) GeForce RTX 20 series cards works with 525.xx, 520.xx, 515.xx, 510.xx and 470.xx NVIDIA drivers (RTX 2080 Ti, RTX 2080, RTX 2070 Ti, RTX 2070, RTX 2060) GeForce GT/GTX 600/700/800/900/10 series cards works with 510.xx, 470.xx,...

3,205 comments on “Fedora 37/36/35 NVIDIA Drivers Install Guide [525.60.11 / 520.56.06 / 515.86.01 / 510.108.03 / 470.161.03 / 390.157 / 340.108] - Comment Page: 123

1 121 122 123 124 125
    1. fedora35 kernel 5.18+ may need some patch for nvidia driver 390.151 (May 16, 2022).

      Reply
    2. This is a very well put together tutorial.
      Worked like a charm on Fedora 36.
      Hope you’ll update it in the future for next Fedora releases.
      Thank you good sir :)

      Reply
    3. Thank you for your work.
      Please tell me how to open a “Run a Command” modal window on Fedora 36

      Reply
      • Hi Sergey,

        Press ALT+F2 to open “Run a command”.

        Reply
    4. If you exclude the kernel from fedora/updates repositories, the next command `dnf install kernel-devel` will fail.

      Reply
      • Sorry, my mistake. I am did not comply instructions.

        Reply
    5. Hi JR,

      Is there a way I can avoid (in run level 3) having to rerun
      NVIDIA-Linux-x86_64-390.151-patched-kernel-5.18.run
      when a new kernel is installed?

      nvidia-installer -v | grep version responds with
      nvidia-installer: version 390.151 ([email protected]) Wed Apr 20

      and uname -a responds with
      Linux anna 5.18.13-200.fc36.x86_64 #1 SMP PREEMPT_DYNAMIC Fri Jul 22 14:03:36 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

      and lspci | grep -E “VGA|3D” responds with
      01:00.0 VGA compatible controller: NVIDIA Corporation GF116 [GeForce GTX 550 Ti] (rev a1)

      It’s not a big deal, but I was just wondering. The reboot fails whenever I’ve previouly run
      NVIDIA-Linux-x86_64-390.151-patched-kernel-5.18.run (skipping any DKMS options).

      Thanks. Otherwise everything works like a charm.

      Reply
    6. Getting an error:
      ERROR: Failed to run `/usr/sbin/dkms build -m nvidia -v 515.57 -k
      5.18.13-200.fc36.x86_64`: Sign command:
      /lib/modules/5.18.13-200.fc36.x86_64/build/scripts/sign-file
      Signing key: /var/lib/dkms/mok.key
      Public certificate (MOK): /var/lib/dkms/mok.pub
      Binary sign-file not found, module won’t be signed
      Error! Your kernel headers for kernel 5.18.13-200.fc36.x86_64 cannot
      be found at /lib/modules/5.18.13-200.fc36.x86_64/build or
      /lib/modules/5.18.13-200.fc36.x86_64/source.
      Please install the linux-headers-5.18.13-200.fc36.x86_64 package or
      use the –kernelsourcedir option to tell DKMS where it’s located.

      There is no package called linux-headers but kernel-headers.
      I do not know how to solve this, can you please help me?
      Best Regards
      Max

      Reply
    7. sh-5.1# nvidia-installer -v |grep version
      nvidia-installer: version 515.48.07
      sh-5.1# uname -a
      Linux vitor-home 5.18.13-602.inttf.fc36.x86_64 #1 SMP PREEMPT_DYNAMIC Thu Jul 28 04:00:12 EDT 2022 x86_64 x86_64 x86_64 GNU/Linux
      sh-5.1# lspci |grep -E “VGA|3D”
      03:00.0 VGA compatible controller: NVIDIA Corporation GM206 [GeForce GTX 960] (rev a1)

      Reply
    8. Package kernel-5.18.13-602.inttf.fc36.x86_64.rpm is not signed
      Please sign so that pgp can allow upgrade!
      Thanks!

      Reply
      • Thanks David, just signed packages. Some reason signing was failed earlier.

        Reply
    9. Your custom repository is missing a package: kernel-srpm-macros. Because it is being filtered form the regular Fedora repo, one cannot install python2.7 package.

      Reply
      • How to fix this ? I cannot install gimp becouse of that I need kernel-srpm-macros, redhat-rpm-config, python2.7, pygtk2

        Reply
        • You can temporarily enable Fedora repos to install kernel-srpm-macros, or more permanent solution is use following exclude lines on dnf repo files:

          exclude=kernel,kernel-core,kernel-headers,kernel-devel,kernel-devel-matched,kernel-modules,kernel-modules-extra
          Reply
    10. Worked Flawless, Such a great guide !! Kudos you whomever is behind in making this.

      Here is my output post installtion

      ———————————–

      ~ took 16s
      > nvidia-installer -v |grep version

      nvidia-installer: version 515.57

      ~
      > uname -a

      Linux predator 5.18.13-602.inttf.fc36.x86_64 #1 SMP PREEMPT_DYNAMIC Thu Jul 28 04:00:12 EDT 2022 x86_64 x86_64 x86_64 GNU/Linux

      ~
      > lspci |grep -E “VGA|3D”

      00:02.0 VGA compatible controller: Intel Corporation CoffeeLake-H GT2 [UHD Graphics 630]
      01:00.0 VGA compatible controller: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] (rev a1)

      ———————————–

      Reply
    11. is it possible to use your kernel repo with rpmfusion akmod drivers to achieve sleepmode with wayland?

      Reply
      • Yes it should work with rpmfusion too.

        Reply
    12. Working on Laptop Dell Vostro 3500 (2010), i5 1th gen M520, GPU Nvidia 310m. Ubuntu 20.04.4 LTS. I got screenshot ready to share. Your script and the patched kernels works 100% in this Dino-laptop.

      Reply
    13. Hi JR,

      Any response to my previous note of 7/24/22? It’s still behaving that way whenever the kernel gets upgraded, so I have to re-run (in run level 3)
      NVIDIA-Linux-x86_64-390.151-patched-kernel-5.18.run

      Thanks for any thoughts,
      — Peter

      Reply
      • Oh, my bad. I had neglected to realize that 390.151 had been updated to 390.154 as of August 2, 2022. So I switched to 390.154, and probably now my question becomes irrelevant. Hence, never mind about my question.

        Reply
        • Hello Peter,

          If you still have problems with automatic NVIDIA module rebuilding, then please check output of following command:

          dkms status
          Reply
    14. followed the steps, but I ran into an unexpected error installing the nVidia .run file indicating I was missing source files? Sorry, still a Linux Learner, so I get stuck pretty quickly if a step-by-step doesn’t work as expected.

      version 515.65.01
      Linux dell-7591-mcmahon-home 5.18.16-200.fc36.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Aug 3 15:44:49 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
      00:02.0 VGA compatible controller: Intel Corporation CometLake-U GT2 [UHD Graphics] (rev 02)
      3c:00.0 3D controller: NVIDIA Corporation GP108M [GeForce MX250] (rev a1)

      Let me know if you need any additional information

      Reply
1 121 122 123 124 125

Leave a Reply to leydekker Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close